export declare class GainController {
    private readonly context;
    private _inputTrack;
    private inputStream;
    private micStreamSource;
    private readonly gainFilter;
    private readonly destination;
    private outputStream;
    readonly outputTrack: MediaStreamTrack;
    constructor(initialGain: number);
    set inputTrack(inputTrack: MediaStreamTrack);
    get inputTrack(): MediaStreamTrack;
    get gain(): number;
    set gain(value: number);
}
